/* Datei komplex.c */
#include <stdio.h>
#define N 10

int main (void)
{
   int lv;
   struct komplex {
                   float x;
                   float y;
                  } zahl [N] = {{1., 10.},
                                {2., 20.},
                                {3., 30.},
                                {4., 40.},
                                {5., 50.},
                                {6., 60.},
                                {7., 70.},
                                {8., 80.},
                                {9., 90.},
                                {10., 100.}
                               };

   struct komplex * ptr [N];
   for (lv = 0; lv <= (N - 1); lv++) ptr[lv]  = &zahl[lv];
      
   for (lv = 0; lv <= (N - 1); lv++)
   {
      printf ("\n %6.2f   %6.2f", zahl[lv].x, zahl[lv].y);
      printf ("\n %6.2f   %6.2f", ptr[lv]->x, ptr[lv]->y);
   }
   return 0;
}

/* Ausgabe:


   1.00    10.00
   1.00    10.00
   2.00    20.00
   2.00    20.00
   3.00    30.00
   3.00    30.00
   4.00    40.00
   4.00    40.00
   5.00    50.00
   5.00    50.00
   6.00    60.00
   6.00    60.00
   7.00    70.00
   7.00    70.00
   8.00    80.00
   8.00    80.00
   9.00    90.00
   9.00    90.00
  10.00   100.00
  10.00   100.00

  */