/* Datei artikel.c */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

struct listenelement {
                      char artikelname [10];
                      int stueckzahl;
                      float preis;
                      struct listenelement * elementpointer;
                     };

void drucke (struct listenelement * ptr)
{
   FILE * fp;
   fp = fopen ("ARTIKEL.DAT", "wb");
   while (ptr != NULL)
   {
       printf ("\nArtikelname: %-10s", ptr -> artikelname);
       printf ("    Stueckzahl: %8d", ptr -> stueckzahl);
       printf ("    Preis: %6.2f", ptr -> preis);
       fwrite (ptr, sizeof (struct listenelement), 1, fp);
       ptr = ptr -> elementpointer;
   }
   fclose (fp);
}

void bilanz (struct listenelement * ptr)
{
   float summe = 0;
   while (ptr != NULL)
   {
      summe = summe + ptr -> stueckzahl * ptr -> preis;
      ptr = ptr -> elementpointer;
   }
   printf ("\nDer Warenwert betraegt %8.2f EUR", summe);
}

int main (void)
{
   char buffer [10];
   struct listenelement * artikelpointer;
   struct listenelement * letztpointer = NULL;
   
   printf ("\nArtikelnamen eingeben, Ende durch ^Z bzw ^D: ");
   while (gets (buffer) != NULL)
   {
      artikelpointer = malloc (sizeof(struct listenelement));
      strcpy (artikelpointer -> artikelname, buffer);
      printf ("\n    Gib die Stueckzahl ein: ");
      scanf ("%d", & (artikelpointer -> stueckzahl));
      printf ("\n    Gib den Preis ein: ");
      scanf ("%f", & (artikelpointer -> preis));
      getchar();  /* '\n' aus Tataturpuffer ueberlesen */
      artikelpointer ->elementpointer = letztpointer;
      letztpointer = artikelpointer;
      printf ("\nArtikelnamen eingeben, Ende durch ^Z bzw. ^D: ");
   }
   
   drucke (artikelpointer);
   bilanz (artikelpointer);
   return 0;
}
