/* Datei ringpuffer.c */
#include <stdio.h>

struct messdaten {
                  char *  messgeraetename;
                  float  messwert;
                  struct messdaten * ptr;
                 };

void ausgabe (struct messdaten *);

int main (void)
{
   struct messdaten telegramm1, telegramm2, telegramm3;
   struct messdaten * ptr1, * ptr2, * ptr3;

   ptr1 = &telegramm1;
   ptr2 = &telegramm2;
   ptr3 = &telegramm3;

   /* Telegramme initialisieren       */

   /* Messgeraetenamen initialisieren */
   telegramm1.messgeraetename = "Sensor1";
   telegramm2.messgeraetename = "Sensor2";
   telegramm3.messgeraetename = "Sensor3";

   /* Messwerte initialisieren */
   telegramm1.messwert = 1.0;
   telegramm2.messwert = 2.0;
   telegramm3.messwert = 3.0;

   /* Pointer initialisieren: 
      damit Verkettung des Ringpuffers erzeugen */
   telegramm1.ptr = ptr2;         /* zeigt auf Telegramm 2 */
   telegramm2.ptr = ptr3;         /* zeigt auf Telegramm 3 */
   telegramm3.ptr = ptr1;         /* zeigt auf Telegramm 1 */

   /*  Ausgabe */
   ausgabe (ptr1);
   return 0;
}

void ausgabe (struct messdaten * pointer1)
{
   struct messdaten * pointer2, * pointer3;

   /* Messgeraetenamen von Telegramm 1 ausgeben  */
   printf ("\n\n%s", pointer1 ->messgeraetename); 
   /* Messwert von Telegramm 1 ausgeben          */
   printf ("\n%f", pointer1 ->messwert);
   
   /* Pointer2 berechnen */
   pointer2 = pointer1 -> ptr; 
   /* Messgeraetenamen von Telegramm 2 ausgeben  */
   printf ("\n\n%s", pointer2->messgeraetename);
   /* Messwert von Telegramm 2 ausgeben          */
   printf ("\n%f", pointer2 ->messwert);

   /* Pointer 3 berechnen */
   pointer3 = pointer2 -> ptr;  
   /* Messgeraetenamen von Telegramm 3 ausgeben  */
   printf ("\n\n%s", pointer3->messgeraetename);
   /* Messwert von Telegramm 3 ausgeben          */
   printf ("\n%f", pointer3 ->messwert);
}
